## org.apache.ivy.util.filter
Class OrFilter

    java.lang.Object
      org.apache.ivy.util.filter.OrFilter

All Implemented Interfaces:
  Filter

    public class OrFilter

extends java.lang.Object
implements Filter

Constructor Summary
`OrFilter(Filter op1, Filter op2)`

Method Summary
`boolean` `accept(java.lang.Object o)`
`Filter` `getOp1()`
`Filter` `getOp2()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrFilter

    public OrFilter(Filter op1,
                    Filter op2)

Method Detail

### getOp1

    public Filter getOp1()

### getOp2

    public Filter getOp2()

### accept

    public boolean accept(java.lang.Object o)

  Specified by:
    `accept` in interface `Filter`